summaryrefslogtreecommitdiffstats
path: root/source/xap/mozilla-firefox/build-deps.sh
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-07-10 23:56:13 +0000
committer Eric Hameleers <alien@slackware.com>2019-07-11 08:59:45 +0200
commitd25041e8f5f84316e0ee350da8babdc356127bf9 (patch)
treeba8fe8ee167ca90f7531cbfb4420c3f718def80c /source/xap/mozilla-firefox/build-deps.sh
parent3c8a6c83bcf500cd8a7dd77a3e55060fcf595c4c (diff)
downloadcurrent-d25041e8f5f84316e0ee350da8babdc356127bf9.tar.gz
current-d25041e8f5f84316e0ee350da8babdc356127bf9.tar.xz
Wed Jul 10 23:56:13 UTC 201920190710235613
a/glibc-zoneinfo-2019b-noarch-1.txz: Upgraded. a/kernel-generic-4.19.58-x86_64-1.txz: Upgraded. a/kernel-huge-4.19.58-x86_64-1.txz: Upgraded. a/kernel-modules-4.19.58-x86_64-1.txz: Upgraded. d/Cython-0.29.12-x86_64-1.txz: Upgraded. d/kernel-headers-4.19.58-x86-1.txz: Upgraded. d/mercurial-5.0.2-x86_64-1.txz: Upgraded. d/python3-3.7.4-x86_64-1.txz: Upgraded. k/kernel-source-4.19.58-noarch-1.txz: Upgraded. l/glib2-2.60.5-x86_64-1.txz: Upgraded. n/gnupg2-2.2.17-x86_64-1.txz: Upgraded. n/iproute2-5.2.0-x86_64-1.txz: Upgraded. n/samba-4.10.6-x86_64-1.txz: Upgraded. x/libva-utils-2.5.0-x86_64-1.txz: Upgraded. x/mesa-19.1.2-x86_64-1.txz: Upgraded. xap/mozilla-firefox-68.0esr-x86_64-1.txz: Upgraded. This release contains security fixes and improvements. Some of the patched flaws are considered critical, and could be used to run attacker code and install software, requiring no user interaction beyond normal browsing. For more information, see: https://www.mozilla.org/security/known-vulnerabilities/firefoxESR.html https://www.mozilla.org/en-US/security/advisories/mfsa2019-22/ https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-9811 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11711 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11712 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11713 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11729 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11715 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11717 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11719 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11730 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11709 (* Security fix *) xap/mozilla-thunderbird-60.8.0-x86_64-1.txz: Upgraded. This is a bugfix release. For more information, see: https://www.mozilla.org/en-US/thunderbird/60.8.0/releasenotes/ xfce/garcon-0.6.3-x86_64-2.txz: Rebuilt. Patched crash bug. Installed gtk-doc HTML docs. Thanks to Robby Workman. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. testing/packages/blueman-2.1.1-x86_64-1.txz: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/xap/mozilla-firefox/build-deps.sh')
-rwxr-xr-xsource/xap/mozilla-firefox/build-deps.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/source/xap/mozilla-firefox/build-deps.sh b/source/xap/mozilla-firefox/build-deps.sh
new file mode 100755
index 000000000..af9d440e2
--- /dev/null
+++ b/source/xap/mozilla-firefox/build-deps.sh
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+# Copyright 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Clear out any existing build deps:
+rm -rf $TMP/mozilla-firefox-build-deps
+mkdir -p $TMP/mozilla-firefox-build-deps
+# This will be at the beginning of the $PATH, so protect against nonsense
+# happening in /tmp:
+chmod 700 $TMP/mozilla-firefox-build-deps
+PATH=$TMP/mozilla-firefox-build-deps/usr/bin:$HOME/.cargo/bin:$PATH
+
+# cbindgen is a build-time dependency:
+( cd $CWD/build-deps/cbindgen ; ./cbindgen.build ) || exit 1
+
+if /bin/ls build-deps*.txz 1> /dev/null 2> /dev/null ; then # use prebuilt autoconf/nodejs
+ ( cd $TMP/mozilla-firefox-build-deps ; tar xf $CWD/build-deps*.txz )
+else
+ # We need to use the incredibly ancient autoconf-2.13 for this :/
+ ( cd $CWD/build-deps/autoconf ; ./autoconf.build ) || exit 1
+ # And node.js... WHY
+ ( cd $CWD/build-deps/nodejs ; ./nodejs.build ) || exit 1
+fi